import React from "react";
import EmailEditor from "react-email-editor";
import "./Control.css";
import * as data from "./design.json";

export default class Control extends React.Component {
  constructor(props) {
    super(props);
    this.emailEditorRef = React.createRef();
  }

  render() {
    const { forID, value, onChange, classNameWrapper } = this.props;

    function exportHtml() {
      this.emailEditorRef.current.editor.exportHtml((data) => {
        onChange(JSON.stringify({ html: data.html, design: data.design }));
      });
    }

    return (
      <EmailEditor
        id={forID}
        projectId={53646}
        style={{ width: "100%" }}
        className={classNameWrapper}
        ref={this.emailEditorRef}
        onLoad={() => {
          if (this.emailEditorRef.current) {
            this.emailEditorRef.current.loadDesign(
              value ? JSON.parse(value).design : data
            );
            this.emailEditorRef.current.addEventListener(
              "design:updated",
              exportHtml.bind(this)
            );
          }
        }}
      />
    );
  }
}
